%define api 3.0
%define major 0

%define libphodav %mklibname phodav %api %major
%define libphodavdevel %mklibname phodav -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		phodav
Version:	3.0
Release:	%mkrel 3
Summary:	A WebDAV server using libsoup
Group:		System/Servers
License:	LGPLv2+
URL:		https://wiki.gnome.org/phodav
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(udev)
BuildRequires:	systemd-units
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	meson
BuildRequires:	intltool
BuildRequires:	asciidoc
BuildRequires:	gtk-doc
BuildRequires:	xmlto

%description
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%package i18n
Group:		System/Internationalization
Summary:	Translation files for %{name}
BuildArch:	noarch

%description i18n
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%package -n     %{libphodav}
Group:		System/Libraries
Summary:        A library to serve files with WebDAV
Requires:	%{name}-i18n

%description -n %{libphodav}
phởdav is a WebDAV server implementation using libsoup (RFC 4918).
This package provides the library.

%package -n     %{libphodavdevel}
Group:		Development/C
Summary:        Development files for libphodav
Requires:       %{libphodav} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libphodavdevel}
The libphodav-devel package includes the header files for libphodav.

%package -n     chezdav
Group:		System/Servers
Summary:        A simple WebDAV server program

%description -n chezdav
The chezdav package contains a simple tool to share a directory
with WebDAV. The service is announced over mDNS for clients to discover.

%package -n     spice-webdavd
Summary:        Spice daemon for the DAV channel
Group:          System/Servers
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n spice-webdavd
The spice-webdavd package contains a daemon to proxy WebDAV request to
the Spice virtio channel.

%prep
%setup -q

%build
%meson -Davahi=enabled
%meson_build

%install
%meson_install

%find_lang phodav --with-gnome --all-name

%post -n spice-webdavd
%_post_service spice-webdavd

%preun -n spice-webdavd
%_preun_service spice-webdavd

%files i18n -f %{name}.lang

%files -n %{libphodav}
%doc NEWS COPYING
%{_libdir}/libphodav-%{api}.so.%{major}
%{_libdir}/libphodav-%{api}.so.%{major}.*

%files -n %{libphodavdevel}
%{_includedir}/libphodav-%{api}
%{_libdir}/libphodav-%{api}.so
%{_libdir}/pkgconfig/libphodav-%{api}.pc
%{_datadir}/gtk-doc/html/phodav-%{api}

%files -n chezdav
%{_bindir}/chezdav
%{_mandir}/man1/chezdav.1*

%files -n spice-webdavd
%doc NEWS COPYING
%{_sbindir}/spice-webdavd
%{_udevrulesdir}/70-spice-webdavd.rules
%{_unitdir}/spice-webdavd.service


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 3.0-3.mga10
+ Revision: 2248537
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 3.0-2.mga10
+ Revision: 2164988
- rebuild for libxml2 2.13.6

* Mon Sep 19 2022 tv <tv> 3.0-1.mga9
+ Revision: 1890214
- 3.0

* Wed Apr 06 2022 umeabot <umeabot> 2.5-2.mga9
+ Revision: 1845695
- Mageia 9 Mass Rebuild

* Thu Aug 27 2020 daviddavid <daviddavid> 2.5-1.mga8
+ Revision: 1619225
- new version: 2.5

* Fri Mar 06 2020 daviddavid <daviddavid> 2.4-1.mga8
+ Revision: 1554277
- new version 2.4

* Sat Feb 15 2020 umeabot <umeabot> 2.3-3.mga8
+ Revision: 1525490
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 2.3-2.mga7
+ Revision: 1392858
- Rebuild with meson 0.50.1

* Wed Mar 06 2019 daviddavid <daviddavid> 2.3-1.mga7
+ Revision: 1371933
- new version: 2.3
- switch to meson build system

* Sun Sep 23 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1300202
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Wed Mar 22 2017 ovitters <ovitters> 2.2-1.mga6
+ Revision: 1094368
- new version 2.2
- fix source url
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 fwang <fwang> 2.0-2.mga6
+ Revision: 905967
- bump rel
- add lang package
- adopt to mga
- imported package phodav

